PPL: Parma_Polyhedra_Library::Variables_Set Class Reference

PPL 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Parma_Polyhedra_Library::Variables_Set Class Reference

An std::set of variables' indexes. More...

`#include <ppl.hh>`

Inherits set< dimension_type >.

## Public Member Functions
| Variables_Set ()
| Builds the empty set of variable indexes.
| Variables_Set (const Variable v)
| Builds the singleton set of indexes containing `v.id()`;.
| Variables_Set (const Variable v, const Variable w)
| Builds the set of variables's indexes in the range from `v.id()` to `w.id()`. More...
dimension_type | space_dimension () const
| Returns the dimension of the smallest vector space enclosing all the variables whose indexes are in the set.
void | insert (Variable v)
| Inserts the index of variable `v` into the set.
bool | ascii_load (std::istream &s)
| Loads from `s` an ASCII representation (as produced by ascii_dump(std::ostream&) const) and sets `*this` accordingly. Returns `true` if successful, `false` otherwise.
memory_size_type | total_memory_in_bytes () const
| Returns the total size in bytes of the memory occupied by `*this`.
memory_size_type | external_memory_in_bytes () const
| Returns the size in bytes of the memory managed by `*this`.
bool | OK () const
| Checks if all the invariants are satisfied.
void | ascii_dump () const
| Writes to `std::cerr` an ASCII representation of `*this`.
void | ascii_dump (std::ostream &s) const
| Writes to `s` an ASCII representation of `*this`.
void | print () const
| Prints `*this` to `std::cerr` using `operator<<`.

## Static Public Member Functions
static dimension_type | max_space_dimension ()
| Returns the maximum space dimension a Variables_Set can handle.

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &s, const Variables_Set &vs)
| Output operator. More...

## Detailed Description

An std::set of variables' indexes.

## Constructor & Destructor Documentation

Parma_Polyhedra_Library::Variables_Set::Variables_Set | ( | const Variable | v,
|  | const Variable | w
| ) |  |

Builds the set of variables's indexes in the range from `v.id()` to `w.id()`.

If `v.id() <= w.id()`, this constructor builds the set of variables' indexes `v.id()`, `v.id()+1`, ..., `w.id()`. The empty set is built otherwise.

## Friends And Related Function Documentation

std::ostream & operator<< | ( | std::ostream & | s,
|  | const Variables_Set & | vs
| ) |  |
| related

Output operator.

The documentation for this class was generated from the following file:

- ppl.hh